Bug 852892 - Review Request: ddccontrol-db - DDC/CI control database for ddccontrol
Review Request: ddccontrol-db - DDC/CI control database for ddccontrol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 852893
  Show dependency treegraph
 
Reported: 2012-08-29 17:38 EDT by Jaroslav Škarvada
Modified: 2013-03-03 20:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 01:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jvcelak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-08-29 17:38:19 EDT
Spec URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-db.spec
SRPM URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-db-20061014-1.fc17.src.rpm
Description: DDC/CU control database for DDCcontrol.
Fedora Account System Username: jskarvad

This database is used by dddcontrol package.

rpmlint warning about incorrect FSF address - there is snail-mail address, but latest license text uses e-mail address, thus probably no problem, but I will forward it upstream.
Comment 1 Jan Vcelak 2012-08-30 06:26:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

     I suppose the specfile outside the SRPM is more recent. Please, confirm.

[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.

     spec file states GPL+, included COPYING file is GPLv2

[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.

     One error which is justified in review request.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

[!]: EXTRA Spec file according to URL is the same as in SRPM.
[!]: MUST License field in the package spec file matches the actual license.

Rpmlint
-------
Checking: ddccontrol-db-20061014-1.fc17.src.rpm
          ddccontrol-db-20061014-1.fc17.noarch.rpm
ddccontrol-db.noarch: E: incorrect-fsf-address /usr/share/doc/ddccontrol-db-20061014/COPYING
2 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
ddccontrol-db.noarch: E: incorrect-fsf-address /usr/share/doc/ddccontrol-db-20061014/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


Diff spec file in url and in SRPM
---------------------------------
--- a/852892-ddccontrol-db/srpm/ddccontrol-db.spec	2012-08-30 09:55:41.706298843 +0200
+++ b/852892-ddccontrol-db/srpm-unpacked/ddccontrol-db.spec	2012-08-30 09:55:45.520376854 +0200
@@ -25,6 +25,6 @@
 
 %files -f %{name}.lang
-%doc AUTHORS COPYING NEWS README
-%{_datadir}/%{name}
+%dir %{_datadir}/%{name}
+%{_datadir}/%{name}/*
 
 %changelog
Requires
--------
ddccontrol-db-20061014-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
ddccontrol-db-20061014-1.fc17.noarch.rpm:
    
    ddccontrol-db = 20061014-1.fc17

MD5-sum check
-------------
http://downloads.sourceforge.net/ddccontrol/ddccontrol-db-20061014.tar.bz2 :
  CHECKSUM(SHA256) this package     : ff88f8e5122a2ab7b69a961f267f74d09ec7c54e90453ee80930edf66955c7b8
  CHECKSUM(SHA256) upstream package : ff88f8e5122a2ab7b69a961f267f74d09ec7c54e90453ee80930edf66955c7b8


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 852892
External plugins:
Comment 2 Jaroslav Škarvada 2012-09-03 11:55:58 EDT
(In reply to comment #1)
Thanks for the review.

> [!]: EXTRA Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see attached
>      diff).
> 
>      I suppose the specfile outside the SRPM is more recent. Please, confirm.
> 
Correct, I just forget to refresh the SRPM :), fixed without version bump.

> [!]: MUST License field in the package spec file matches the actual license.
> 
>      spec file states GPL+, included COPYING file is GPLv2
> 
I guess it is OK:
https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

But I will ask upstream to clarify their intention.
Comment 3 Jaroslav Škarvada 2012-09-03 12:19:27 EDT
Upstream contacted, waiting for their reply.
Comment 4 Jaroslav Škarvada 2012-09-04 03:12:31 EDT
Reply from upstream:

> Hi,
> 
> Well, at the time we started the project the version 3 wasn't out, so I
> have no idea what we "indented" to do.
> 
> For ddccontrol, it's very clear. COPYING contains GPLv2, but all sources
> files clearly use the header stating GPLv2+.
> 
> For ddccontrol-db, COPYING also contains GPLv2, but we do not put any
> copyright header in the files contributed by ourselves or users, so I'm
> not clear if we meant GPLv2+ or just GPLv2 (or even public domain,
> actually).
> 
> I'd say the conservative option is GPLv2. But I assume no one would be
> offended if you put GPLv2+.
> 
> Hope this helps.
> 
> Best,
> 
> Nicolas

I think it could be also licensed under GPL+ as the GPLv2 license text states:
> If the Program does not specify a version number of this License,
> you may choose any version ever published by the Free Software
> Foundation.

I will use GPLv2+ to be consistent with ddccontrol package, upstream notified.
Comment 6 Jaroslav Škarvada 2012-09-04 15:33:16 EDT
Rebased to git head - it means support for more monitors:

Spec URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-db.spec
SRPM URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-db-20061014-3.20120904gite8cc385a.fc17.src.rpm

Autopoint patch switches to autopoint instead of gettextize that is interactive tool and requires response from terminal. I will try to get this upstream.
Comment 7 Jan Vcelak 2012-09-11 02:57:33 EDT
All issues are fixed. Thank you.

fedora-review+
Comment 8 Jaroslav Škarvada 2012-09-17 09:36:46 EDT
New Package SCM Request
=======================
Package Name: ddccontrol-db
Short Description: DDC/CI control database for ddccontrol
Owners: jskarvad
Branches: f17 f18
InitialCC: jvcelak
Comment 9 Jon Ciesla 2012-09-17 09:54:15 EDT
Git done (by process-git-requests).
Comment 10 Jaroslav Škarvada 2012-09-17 10:38:30 EDT
Thanks.
Comment 11 Fedora Update System 2012-09-17 11:40:15 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18
Comment 12 Fedora Update System 2012-09-17 16:38:18 EDT
Package ddccontrol-0.4.2-3.20120904gitc3af663d.fc18, ddccontrol-db-20061014-3.20120904gite8cc385a.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ddccontrol-0.4.2-3.20120904gitc3af663d.fc18 ddccontrol-db-20061014-3.20120904gite8cc385a.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14222/ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-09-18 03:27:22 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc17,ddccontrol-db-20061014-3.20120904gite8cc385a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ddccontrol-0.4.2-3.20120904gitc3af663d.fc17,ddccontrol-db-20061014-3.20120904gite8cc385a.fc17
Comment 14 Fedora Update System 2012-09-23 01:06:20 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc18, ddccontrol-db-20061014-3.20120904gite8cc385a.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-27 00:24:26 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc17, ddccontrol-db-20061014-3.20120904gite8cc385a.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.